.b-product-deteil {
  display: flex;
  align-items: flex-end;
}

.b-product-deteil .c-product-item__info {
  background: rgba(0, 0, 0, 0.7);
  display: flex;
  justify-content: space-between;
  padding: 10px 20px 10px;
  font-size: 20px;
  white-space: nowrap;
  min-width: 1px;
  overflow: hidden;
  text-overflow: ellipsis;
  position: relative;
  z-index: 1;
  width: 100%;
  transition: opacity .2s ease, visible .2s ease;
}

.b-product-list {
  position: relative;
}

.b-product-list .product-list__items {
  display: grid;
  grid-template-columns: repeat(4, minmax(0, 1fr));
  gap: 30px;
  grid-auto-rows: 1fr;
}

.b-product-list .product-list__item {
  height: auto;
  overflow: hidden;
  position: relative;
}

.b-product-list .product-list__item-link {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.b-product-list .product-list__item:hover .product-list__item-name {
  color: #C1232A;
}

.b-product-list .product-list__item-inner {
  height: 100%;
  display: flex;
  flex-direction: column;
}

.b-product-list .product-list__item-pic {
  height: 250px;
  margin-bottom: 10px;
}

.b-product-list .product-list__item-pic img {
  height: 100%;
  max-width: 100%;
  width: 100%;
  object-fit: cover;
}

.b-product-list .product-list__item-info {
  box-sizing: border-box;
  position: relative;
  padding: 5px 20px 5px 24px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.b-product-list .product-list__item-info::before {
  content: '';
  display: block;
  width: 4px;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  background-color: #C1232A;
}

.b-product-list .product-list__item-name {
  font-weight: 500;
  font-size: 24px;
  line-height: 1.1;
  color: #000;
  transition: color .2s ease;
}

.b-product-list .product-list__item-preview {
  font-weight: 400;
  font-size: 23px;
  line-height: 1.1;
  color: #262424;
}

.b-product-list .swiper-button-next:after,
.b-product-list .swiper-button-prev:after {
  content: none;
}

.b-product-list .product-list__next {
  right: -50px;
}

.b-product-list .product-list__prev {
  left: -50px;
}

.b-product-list .product-list__next,
.b-product-list .product-list__prev {
  width: 36px;
  height: 36px;
  border: 2px solid #cd4f55;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: background-color .2s ease;
}

.b-product-list .product-list__next.swiper-button-lock,
.b-product-list .product-list__prev.swiper-button-lock {
  display: none;
}

.b-product-list .product-list__nav svg {
  width: 8px;
  height: fit-content;
}

.b-product-list .product-list__next:hover,
.b-product-list .product-list__prev:hover {
  background-color: #cd4f55;
}

.b-product-list .product-list__next svg path {
  transition: stroke .2s ease;
}

.b-product-list .product-list__next:hover svg path,
.b-product-list .product-list__prev:hover svg path {
  stroke: #fff;
}

.b-product-list .product-list__pagination {
  position: static;
  margin-top: 20px;
  display: none;
}

.b-product-list .product-list__pagination .swiper-pagination-bullet {
  width: 10px;
  height: 10px;
}



.b-product-list .product-list__pagination .swiper-pagination-bullet-active {
  background-color: #C1232A;
}

.b-product-list .product-list__item-price {
  font-weight: 500;
  font-size: 22px;
  line-height: 130%;
}


.b-product-list .product-list__item-labels {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  position: absolute;
  top: 10px;
  left: 10px;
  right:  10px;
}



.b-product-list .product-list__item-label {
  border-radius: 10px;
  color: #fff;
  display: block;
  font-size: 12px;
  font-weight: 400;
  line-height: 17px;
  padding: 1px 9px 1px 10px;
  background-color: #C1232A;
}

.b-product-list .product-list__item-label--sale {
  background-color: #21a038;
}
@media (max-width: 1400px) and (min-width: 1240px) {
  .b-product-list .product-list__next {
    right: 0;
  }

  .b-product-list .product-list__prev {
    left: 0;
  }
}

@media (max-width: 1239px) {
  .b-product-list .product-list__items {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }

  .b-product-list .product-list__item-name {
    font-size: 24px;
  }

  .b-product-list .product-list__item-preview {
    font-size: 18px;
  }

  .b-product-list .product-list__item-pic {}

  .b-product-list .product-list__next,
  .b-product-list .product-list__prev {
    display: none;
  }

  .b-product-list .product-list__pagination {
    display: block;
  }
}

@media (max-width: 900px) {
  .b-product-list .product-list__items {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}

@media (max-width: 768px) {
  .b-product-list .product-list__items {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }
}